<button mat-icon-button
        [disabled]="isLoading"
        [matMenuTriggerFor]="menu"
        [matTooltip]="getTooltipButton() | translate"
        aria-label="Open developer help"
        class="open-button"
        type="button"
>
  <ng-template [ngIfElse]="mobileButton"
               [ngIf]="!isMobile"
  >
    <solidify-icon [iconName]="iconNameEnum.docDev"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
  </ng-template>
  <ng-template #mobileButton>
    <solidify-icon [iconName]="iconNameEnum.docUser"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
  </ng-template>
</button>

<mat-menu #menu="matMenu"
          [classList]="'shared-toc-root-container-panel'"
>
  <ng-template [ngIf]="isMobile">
    <h2 class="title-section">{{'toc.sectionTitle.developer' | translate}}</h2>
  </ng-template>
  <button [disabled]="integrationGuide | isNullOrUndefined"
          [matMenuTriggerFor]="integrationGuideMenu"
          mat-menu-item
  >{{'toc.section.integrationGuide' | translate}}
  </button>
  <button [disabled]="apisKeyValue | isNullOrUndefinedOrEmptyArray"
          [matMenuTriggerFor]="apiMenu"
          mat-menu-item
  >{{'toc.section.apis' | translate}}
  </button>
  <button [disabled]="toolsGuide | isNullOrUndefined"
          [matMenuTriggerFor]="toolsMenu"
          mat-menu-item
  >{{'toc.section.tools' | translate}}
  </button>

  <button [disabled]="oaiPmhProvider | isNullOrUndefined"
          (click)="navigateTo(oaiPmhProvider)"
          mat-menu-item
  >OAI-PMH Provider
    <solidify-icon [iconName]="iconNameEnum.externalLink"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
  </button>
  <ng-template [ngIf]="isMobile">
    <button (click)="navigateToAbout()"
            mat-menu-item
    >
      <span class="about-label">{{labelTranslateEnum.about | translate}}</span>
    </button>
  </ng-template>
</mat-menu>

<mat-menu #integrationGuideMenu="matMenu"
          [classList]="CLASS_MAT_MENU_WITH_LINK"
>
  <div [innerHTML]="integrationGuide"></div>
</mat-menu>

<mat-menu #apiMenu="matMenu"
          [classList]="CLASS_MAT_MENU_WITH_LINK"
>
  <ul>
    <li *ngFor="let keyValue of apisKeyValue">
      <a [href]="keyValue.value"
         target="_blank"
         active="true"
      >{{keyValue.key}}</a>
  </ul>
</mat-menu>

<mat-menu #toolsMenu="matMenu"
          [classList]="CLASS_MAT_MENU_WITH_LINK"
>
  <div [innerHTML]="toolsGuide"></div>
</mat-menu>
